Get list of profiles
curl --request GET \
--url https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles \
--header 'Authorization: <authorization>'import requests
url = "https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.publishbuddy.com/v1/workspaces/{workspace}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"workspace": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"social_profile": {
"id": "<string>",
"name": "<string>",
"about": "<string>",
"network": {
"id": "<string>",
"name": "<string>",
"profile_types": [
{
"id": "<string>",
"name": "<string>"
}
],
"support_analytics": "<string>",
"support_engage": "<string>"
},
"image": {
"link": "<string>"
},
"social_id": "<string>",
"identifier": "<string>",
"social_profile_entities": [
{
"id": "<string>",
"name": "<string>",
"about": "<string>",
"image": {
"link": "<string>"
},
"social_id": "<string>",
"social_profile_entity_type": {
"name": "<string>"
}
}
]
},
"account_id": "<string>",
"connected": "<string>",
"queue": {
"id": "<string>",
"profile_id": "<string>",
"timeslots": [
{
"id": "<string>",
"day_of_week": "<string>",
"time": "<string>",
"post_type": "<string>",
"label": "<string>",
"social_account_id": "<string>"
}
]
},
"schedule": {
"id": "<string>",
"profile_id": "<string>",
"datetimeslots": [
{
"id": "<string>",
"datetime": "<string>",
"date": "<string>",
"time": "<string>"
}
]
},
"profile_type": {
"id": "<string>",
"name": "<string>"
},
"own_type": "workspace",
"users": [
{
"name": "<string>",
"email": "<string>",
"status": "<string>",
"push_notifications_allowed": true,
"email_notification_settings": "<string>",
"id": "<string>",
"state": {
"workspace_id": null
},
"unread_notifications_count": 123,
"avatar": "<string>",
"time_format": "<string>",
"timezone": "<string>",
"workspaces": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
],
"role": {
"id": "<string>",
"name": "<string>"
},
"pivot": {
"access_level": "<string>",
"connection_type": "<string>"
},
"profiles": "<array>",
"permissions": [
{
"name": "<string>"
}
]
}
],
"access_level": "<string>",
"connections": [
{
"id": "<string>",
"user_id": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"is_facebook_group": true,
"synchronization_status": "synchronization_in_process",
"using_connection": {
"id": "<string>",
"user_id": "<string>",
"status": "<string>",
"type": "<string>"
},
"status": "inactive"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Profiles
Get list of profiles
GET
/
workspaces
/
{workspace}
/
profiles
Get list of profiles
Headers
JWT token.
Path Parameters
The workspace UUID
Query Parameters
Available options:
profiles.id, social_profiles.name Available options:
asc, desc Response
Array of ProfileResource
Show child attributes
Show child attributes